count_nodes {DiagrammeR} | R Documentation

## Get a count of all nodes

### Description

From a graph object of class `dgr_graph`, get a count of nodes in the graph.

### Usage

    count_nodes(graph)

### Arguments

`graph` | a graph object of class `dgr_graph`.

### Value

a numeric vector of single length.

### Examples

    # Create a graph with a
    # path of nodes and 3
    # unconnected nodes
    graph <-
      create_graph() %>%
      add_path(n = 3) %>%
      add_n_nodes(n = 3)

    # Get a count of all nodes
    # in the graph
    graph %>%
      count_nodes()

[Package DiagrammeR version 1.0.1 Index]